Index: /extensions/Slide/js/menu.js
===================================================================
--- /extensions/Slide/js/menu.js	(revision 26889)
+++ /extensions/Slide/js/menu.js	(revision 26889)
@@ -0,0 +1,79 @@
+/*
+ * menu - v1.0 - 2013-10-01
+ * plugin menu for piwitheme
+ * http://piwitheme.fr/
+ *
+ */
+ 
+(function($) {
+	$('li.liSub:last-child dt').addClass('dd_wrapper');
+	$('li.liSub:last-child dd').addClass('sub');
+	$('.mcol').columnize({ 
+						columns		: 4,
+						doneFunc	: function(){
+							$('.sub').hide();
+							}
+						});
+	$.each($('.mcol li'), function() {
+		var $li = $(this),
+			$test=$li.find('a');
+		if($test.length == 0){
+			$li.remove()
+		}
+	})
+	
+	$('#topnav li').each(function(){
+	if($(':first-child', this).hasClass('cl_wrapper')){
+		$(this).addClass('ident');
+	} else{
+		$(this).addClass('menu')
+	}
+	});
+
+	function megaHoverOver(){
+		$(this).addClass('activate').find('.sub').stop().slideDown(200);
+	};
+	
+	function megaHoverOut(){
+	 $(this).find('.sub').stop().slideUp(200,function(){$(this).parent().removeClass('activate')});
+	};
+	var $configSub 	= {
+						over	: megaHoverOver,   
+						out		: megaHoverOut 	   
+						};
+
+	$('.menu').hoverIntent($configSub);
+	$('.sub ul li:last-child a').css('border', 'none');
+
+	$('.ident').mouseenter(function(){
+		if($(this).children('div').is(':hidden')){
+			$(this).addClass('activate').children('div').slideDown(200).attr(':visible');
+		}
+	});
+	$('.cl_wrapper').click(function(){
+		if($(this).next('div').is(':visible')){
+			$(this).next('div').slideUp(200, function(){
+				$(this).hide()
+			});
+			$(this).next('div').attr(':hidden'); 
+			$(this).parent().removeClass('activate');
+		}
+	});
+	$('.close').click(function(){
+		$(this).parent().slideUp(200, function(){
+				$(this).hide().attr(':hidden')
+			});
+			$('.ident').removeClass('activate');
+	});
+	$('#qsearchInput').focus(function(){
+		if($('#qsearchInput').attr('value') == qsearch_prompt){
+			$('#qsearchInput').attr('value', '')
+		}
+	});
+	$('#qsearchInput').blur(function(){
+		if($('#qsearchInput').attr('value') != qsearch_prompt){
+			$('#qsearchInput').attr('value', qsearch_prompt)
+		}
+	});
+	
+})(jQuery);
Index: /extensions/Slide/js/plugin/SlideGThumb.js
===================================================================
--- /extensions/Slide/js/plugin/SlideGThumb.js	(revision 26889)
+++ /extensions/Slide/js/plugin/SlideGThumb.js	(revision 26889)
@@ -0,0 +1,41 @@
+/*
+ * SlideGThumb - v1.0 - 01-01-2014
+ * plugin for Slide and GThumb+
+ * Original by P@t for GThumb+ : http://fr.piwigo.org/ext/extension_view.php?eid=591
+ * Modified by Miklfe : http://piwitheme.fr/
+ *
+ */
+ 
+function _GThumb(){
+	var $layerShow 	= $('body').data('layerShow');
+	if($('#the_page', $layerShow).hasClass('GThumb')) {
+		if ($('body').hasClass('GThumb')){
+			$.getScript('./plugins/GThumb/js/jquery.ba-resize.min.js', function(){
+				$.getScript('./plugins/GThumb/js/gthumb.js',function(){
+				_Gthumb_init();
+				$('body').removeClass('GThumb').addClass('GThumbReady');
+				});
+			})
+		}else{
+			_Gthumb_init()
+		};
+	}
+	function _Gthumb_init(){
+		var	$ele				= $('#the_page', $layerShow),
+			$gthumb_opt 		= $ele.data('slidegthumb'),
+			$gthumb_big_id		= $ele.data ('gtid'),
+			$gthumb_big_url		= $ele.data ('gturl'),
+			$gthumb_big_w		= $ele.data ('gtw'),
+			$gthumb_big_h		= $ele.data ('gth');
+				
+		GThumb.max_height 	= $gthumb_opt.height;
+		GThumb.margin 		= $gthumb_opt.margin;
+		GThumb.method 		= $gthumb_opt.method;
+		GThumb.big_thumb 	= {id:$gthumb_big_id, src:$gthumb_big_url,width:$gthumb_big_w,height:$gthumb_big_h};
+
+		GThumb.build();
+		$(window).bind('RVTS_loaded', GThumb.build);
+		$('#thumbnails', $layerShow).resize(GThumb.process);
+		$('#thumbnails .gthumb', $layerShow).css({marginRight:GThumb.margin, marginBottom:GThumb.margin});
+	};
+};
Index: /extensions/Slide/js/plugin/SlideLightbox.js
===================================================================
--- /extensions/Slide/js/plugin/SlideLightbox.js	(revision 26889)
+++ /extensions/Slide/js/plugin/SlideLightbox.js	(revision 26889)
@@ -0,0 +1,60 @@
+/*
+ * SlideGThumb - v1.0 - 01-01-2014
+ * plugin for Slide and Lightbox
+ * Original by P@t for Lightbox : http://fr.piwigo.org/ext/extension_view.php?eid=591
+ * Modified by Miklfe : http://piwitheme.fr/
+ *
+ */
+ 
+ function _lightbox(){
+		if ($('body').hasClass('lightbox')){
+		var url= './plugins/lightbox/js/jquery.colorbox.js';
+$.getScript(url, function (data, textStatus) {
+    if (textStatus === "success") {
+        try {
+            CAGinit();
+        } catch(err) {
+            alert(err);
+        }
+    } else {
+        alert("script not loaded");
+    }
+});
+
+	/*	$.getScript('./plugins/lightbox/js/jquery.colorbox.js').fail(alert());
+				_lightbox_init();
+				$('body').removeClass('lightbox').addClass('lightboxReady');
+			})
+		}else{
+			_lightbox_init()*/
+		};
+	
+	function _lightbox_init(){
+		var $layerShow 	= $('body').data('layerShow'),
+			$lightbox_opt = $('#the_page', $layerShow).data('lightbox');
+		//function PWG_Colorbox() {alert();
+		alert();
+			$('a[rel=colorbox0]').attr("href", function () {
+				return this.name;
+			});
+			$('a[rel=colorbox0]').colorbox({
+				current: "",
+				transition: $lightbox_opt.transition,
+				speed: $lightbox_opt.speed,
+				initialWidth: $lightbox_opt.initialWidth,
+				initialHeight: $lightbox_opt.initialHeight,
+				width: $lightbox_opt.width,
+				height: $lightbox_opt.height
+			},
+			function() {
+				$.post("plugins/lightbox/save_history.php", {
+					imgid: this.id,
+					catid: $lightbox_opt.catid,
+					section: $lightbox_opt.section,
+					tagids: $lightbox_opt.tagids
+				});
+			});
+		//}
+	};
+};
+			
